dofile("script\\gamemenu.lua");
dofile("script\\lib.lua");
set_inpun_fun("gameinput");

function LevelComplete()
		
	
	flags = {};
	
	flags.glove_taken = true;	
	flags.rentgen_taken = true;
	flags.nvg_taken = true;
	flags.scaner_taken = true;
	flags.pointer_taken = true;
	
	

	
	
	SaveGame1();
	delete_tree_leaf("Root","forge");
	NextLevel(38)
end;


flags.glove_taken = true;	
	flags.rentgen_taken = true;
	flags.nvg_taken = true;
	flags.scaner_taken = true;
	
	
flags.first_time_load = true;
flags.all_items = false;
flags.mini = true;
flags.comics1 = true;
flags.comics2 = true;
flags.comics3 = true;
flags.finish = false;
flags.key_25 = false;
flags.key_placed_25 = false;
flags.n = 0;

flags.start_mini=false;

flags.light1=true;
flags.light=false;
flags.nv_done=true;
flags.nvg_block=false;


if flags.restore_sheet then
	LoadGame();
	AddTool();
end;
flags.restore_sheet = true;
AddTreeLeaf( "Root", "forge", 25, 0 );

AddTxt();

LoadLeafRes( 25, 0 );

-- scene logic
flags.start_draw = true;
if flags.key_placed_25 then
	Set_Cursor(1,3);
else
	Set_Cursor(1,4);
end;
--for name,o in pairs(obj) do--------------------------при загрузке уровня объекты с инвентаря не висят в углу
--	if o.is_stored then
SetObjectPosition(111,-1000,-1000)
	-- AddElement( sheet, obj[name].id );
--	set_visible_object( o.id, true );
--	end;
--end;

-- end scene logic
StartAnimation( 5555555555,5,5 );
SetCurrentLeaf("forge",25,0);
ShowMenu( false );
-- playfile(".\\sound\\117.ogg",true,true);
playeffect("117",true)